package net.seesaa.androidzaurus.keycodechecker;

import android.app.Activity;
import android.widget.TextView;
import android.os.Bundle;
import android.view.KeyEvent;

public class KeycodeChecker extends Activity {
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle icicle) {
        super.onCreate(icicle);
        setContentView(R.layout.main);
        mList = (TextView)findViewById(R.id.text);
        setHeaderTitle();
    }
    
    /** Show the key and scan. clear the content if space, return or backspace */
    @Override
    public boolean onKeyDown(int key, KeyEvent event) {
        if (key == 60 || key == 64 || key == 65)
        	setHeaderTitle();
        try {
        	mStrBuf = (key + " - "
       				+ event.getScanCode() + " - "
       				+ KeyEvent.isModifierKey(key) + " - "
       				+ key_nanme_table[key] + "\n") + mStrBuf;
        	mList.setText (mStrBuf);
        } catch (Exception e) {
        }
    	return false;
    }

    /** using resource as buffer */
    private void setHeaderTitle() {
    	mList.setText(R.string.list_title);
    	mStrBuf = (String) mList.getText();
    }
    
    private TextView mList;
    private String mStrBuf;

    private final String key_nanme_table[] = {
    	"UNKNOWN", 
    	"SOFT_LEFT", 
    	"SOFT_RIGHT", 
    	"HOME", 
    	"BACK", 
    	"CALL", 
    	"ENDCALL", 
    	"0", 
    	"1", 
    	"2", 
    	"3", 
    	"4", 
    	"5", 
    	"6", 
    	"7", 
    	"8", 
    	"9", 
    	"STAR", 
    	"POUND", 
    	"DPAD_UP", 
    	"DPAD_DOWN", 
    	"DPAD_LEFT", 
    	"DPAD_RIGHT", 
    	"DPAD_CENTER", 
    	"VOLUME_UP", 
    	"VOLUME_DOWN", 
    	"POWER", 
    	"CAMERA", 
    	"CLEAR", 
    	"A", 
    	"B", 
    	"C", 
    	"D", 
    	"E", 
    	"F", 
    	"G", 
    	"H", 
    	"I", 
    	"J", 
    	"K", 
    	"L", 
    	"M", 
    	"N", 
    	"O", 
    	"P", 
    	"Q", 
    	"R", 
    	"S", 
    	"T", 
    	"U", 
    	"V", 
    	"W", 
    	"X", 
    	"Y", 
    	"Z", 
    	"COMMA", 
    	"PERIOD", 
    	"ALT", 
    	"CAP", 
    	"TAB", 
    	"SPACE", 
    	"SYM", 
    	"EXPLORER", 
    	"ENVELOPE", 
    	"NEWLINE", 
    	"DEL", 
    	"GRAVE", 
    	"MINUS", 
    	"EQUALS", 
    	"LEFT_BRACKET", 
    	"RIGHT_BRACKET", 
    	"BACKSLASH", 
    	"SEMICOLON", 
    	"APOSTROPHE", 
    	"SLASH", 
    	"AT", 
    	"NUM", 
    	"HEADSETHOOK", 
    	"FOCUS", 
    	"PLUS"
    };
}
